Bug 625780

Summary: O SELinux está a impedir o acesso /usr/lib/cyrus-imapd/cyrus-master "fsetid"
Product: [Fedora] Fedora Reporter: Carlos Miguel Sousa Almeida <cmsa>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:901dad74805e5f727f1a9f7b30ecafd593aa53c63facf5713dba0a7a75b59240
Fixed In Version: selinux-policy-3.7.19-51.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-31 06:39:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Carlos Miguel Sousa Almeida 2010-08-20 12:34:21 UTC
Resumo:

O SELinux está a impedir o acesso /usr/lib/cyrus-imapd/cyrus-master "fsetid"

Descrição Detalhada:

[SELinux está em modo permissivo. Este acesso não foi negado.]

O SELinux negou o acesso pedido pelo cyrus-master. Não se espera que este
acesso seja necessário para o cyrus-master e este acesso poderá assinalar uma
tentativa de intrusão. Também é possível que a versão ou configuração
específicas da aplicação estejam a obrigá-la a precisar de acesso ad

A Permitir o Acesso:

Você pode gerar um módulo com uma politica local para permitir este acesso -
Consulte FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Por
favor, preencha um relatório de erro.

Informação Adicional:

Contexto de Origem            system_u:system_r:cyrus_t:s0
Contexto de Destino           system_u:system_r:cyrus_t:s0
Objectos de Destino           None [ capability ]
Fonte                         cyrus-master
Caminho de Origem             /usr/lib/cyrus-imapd/cyrus-master
Porto                         <Desconhecida>
Máquina                      (removido)
Pacotes RPM Fonte             cyrus-imapd-2.3.16-3.fc13
Pacotes RPM Destino           
RPM da Política              selinux-policy-3.7.19-47.fc13
Selinux Activo                True
Tipo de Política             targeted
Modo de Execução Forçada   Permissive
Nome do Plugin                catchall
Nome da Máquina              (removido)
Plataforma                    Linux colegioinfanta.homelinux.com
                              2.6.33.6-147.2.4.fc13.i686.PAE #1 SMP Fri Jul 23
                              17:21:06 UTC 2010 i686 i686
Contador de Alertas           1
Primeira Vez Visto            Sex 20 Ago 2010 12:53:32 WEST
Última Vez Visto             Sex 20 Ago 2010 12:53:32 WEST
ID Local                      3bd639d9-cd18-4d5b-9f34-6db2903aa92e
Números de Linha             

Mensagens de Auditoria em Bru 

node=colegioinfanta.homelinux.com type=AVC msg=audit(1282305212.997:39): avc:  denied  { fsetid } for  pid=3378 comm="cyrus-master" capability=4  scontext=system_u:system_r:cyrus_t:s0 tcontext=system_u:system_r:cyrus_t:s0 tclass=capability

node=colegioinfanta.homelinux.com type=SYSCALL msg=audit(1282305212.997:39): arch=40000003 syscall=15 success=yes exit=0 a0=103a1d8 a1=1ff a2=4772b8 a3=12 items=0 ppid=1 pid=3378 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="cyrus-master" exe="/usr/lib/cyrus-imapd/cyrus-master" subj=system_u:system_r:cyrus_t:s0 key=(null)



Hash String generated from  catchall,cyrus-master,cyrus_t,cyrus_t,capability,fsetid
audit2allow suggests:

#============= cyrus_t ==============
allow cyrus_t self:capability fsetid;

Comment 1 Miroslav Grepl 2010-08-24 12:09:30 UTC
Fixed in selinux-policy-3.7.19-50.fc13

Comment 2 Fedora Update System 2010-08-25 15:36:07 UTC
selinux-policy-3.7.19-51.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-51.fc13

Comment 3 Fedora Update System 2010-08-26 00:58:52 UTC
selinux-policy-3.7.19-51.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-51.fc13

Comment 4 Fedora Update System 2010-08-31 06:38:02 UTC
selinux-policy-3.7.19-51.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.